icon
Avatar
gianluca
Post: 160
Salve a tutti.
Ho instalalto l'estensione newsticker:
http://www.contao.org/extension-list/view/newsticker.10020009.en.html
credo di aver fatto tutto correttamente:
creato un modulo news ticker cont tutte le proprietà scorrimento valori dimensioni e template news_ticker.
Il problema è che non funziona l'animazione..

se vi può essere utile il link alla pagina è questo:
http://www.treartworld.com/working/index.php/home.html

E' basata su mootools vero? perchè ho tolto tutti gli effetti jquery proprio per far funzionare mootools su contao.
Grazie.
06/06/2011 17:03
Avatar
gianluca
Post: 160
Forse ho capito qual'è il conflitto.
Il menu un alto è fatto con un menu mootools messo nel codice html che utilizza questo script in header:
iconjavascript:
<script type="text/javascript">
            window.addEvent('domready', function(){
                new EMenu('menu1', {
                    onMenuShow: function(el){
                        $('debug').grab(new Element('div', {text: 'show ' + el.getFirst().get('text')}), 'top');
                    },
                    onMenuHide: function(el){
                        $('debug').grab(new Element('div', {text: 'hide ' + el.getFirst().get('text')}), 'top');
                    }
                });
            });
        </script>

Se lo tolgo infatti funziona il news ticker ma non funziona il menu in alto...
qualcuno ha un suggerimeto?
Grazie..
06/06/2011 17:13
Avatar
paolob
Moderatore
Post: 1550
Ti stavo rispondendo...
Io l'ho usato proprio recentemente e non mi ha dato problemi.

Sembra che vada in conflitto..
Paolo B.
paolob@contaocms.it
06/06/2011 17:25
Avatar
gianluca
Post: 160
Grazie!
Sto provando a configurare un'altra estensione che genera un menu in automatico:
http://www.contao.org/extension-list/view/mootoolsnav.10000009.en.html
che sembra non andare in conflitto perchè proprietaria di contao.
Se va a buon fine amgari è utile per qualcun'altro!
Grazie ancora!
06/06/2011 17:29
Avatar
gianluca
Post: 160
Scrivo in questa mia discussione perchè l'oggetto è sempre lo stesso.

Solo che vorrei utilizzare l'estensione newsticker utilizzando contao 2.10 ma dice che non è più supportata!

Ora mi chiedo: è possibile tornare ad una versione precednte di Contao senza danneggiare i moduli e cose già inserite?

Oppure esiste un altro modo per far vedere un box di notizie in evidenza scorrevoli come faceva il buon vecchio newsticker?
Grazie.
08/06/2012 15:22
Avatar
Abisem
Post: 211
Prova a installarla comunque: l'incompatibilità potrebbe essere semplicemente l'uso della vecchia estensione .tpl nei template e poco altro.

Io ho installato e usato alcune estensioni che venivano dichiarate "Non compatibili" senza problemi. Una su tutte Catalog.

Prova a vedere se t'interessa questa discussione
Pluralitas non est ponenda sine necessitate.
08/06/2012 18:08
Avatar
gianluca
Post: 160
Grazie Abisem, ho provato ad installarla comunque e funziona! Avevo paura di combinare guai perchè nell'estensione c'era scritto prorio "NON VALIDO per contao 2.10.4".

La provo e se c'è qualche difetto lo posto qui,
Grazie ancora.
08/06/2012 21:58
icon